package org.eclipse.jdt.internal.compiler.lookup;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import org.eclipse.jdt.internal.compiler.lookup.AnnotationBinding;
import org.eclipse.jdt.internal.compiler.lookup.Binding;
import org.eclipse.jdt.internal.compiler.lookup.LocalVariableBinding;
import org.eclipse.jdt.internal.compiler.lookup.MethodBinding;
import org.eclipse.jdt.internal.compiler.lookup.TypeBinding;

public class AptBinaryLocalVariableBinding extends LocalVariableBinding {
  AnnotationBinding[] annotationBindings;
  
  public MethodBinding methodBinding;
  
  public AptBinaryLocalVariableBinding(char[] name, TypeBinding type, int modifiers, AnnotationBinding[] annotationBindings, MethodBinding methodBinding) {
    super(name, type, modifiers, true);
    this.annotationBindings = (annotationBindings == null) ? Binding.NO_ANNOTATIONS : annotationBindings;
    this.methodBinding = methodBinding;
  }
  
  public AnnotationBinding[] getAnnotations() {
    return this.annotationBindings;
  }
}
